package com.ruoyi.szxc.mapper;

import java.util.List;
import com.ruoyi.szxc.domain.SzxcPersonTag;

/**
 * 人员标签Mapper接口
 * 
 * @author hs
 * @date 2024-03-14
 */
public interface SzxcPersonTagMapper 
{
    /**
     * 查询人员标签
     * 
     * @param id 人员标签主键
     * @return 人员标签
     */
    public SzxcPersonTag selectSzxcPersonTagById(Long id);

    /**
     * 查询人员标签列表
     * 
     * @param szxcPersonTag 人员标签
     * @return 人员标签集合
     */
    public List<SzxcPersonTag> selectSzxcPersonTagList(SzxcPersonTag szxcPersonTag);

    /**
     * 新增人员标签
     * 
     * @param szxcPersonTag 人员标签
     * @return 结果
     */
    public int insertSzxcPersonTag(SzxcPersonTag szxcPersonTag);

    /**
     * 修改人员标签
     * 
     * @param szxcPersonTag 人员标签
     * @return 结果
     */
    public int updateSzxcPersonTag(SzxcPersonTag szxcPersonTag);

    /**
     * 删除人员标签
     * 
     * @param id 人员标签主键
     * @return 结果
     */
    public int deleteSzxcPersonTagById(Long id);

    /**
     * 批量删除人员标签
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSzxcPersonTagByIds(Long[] ids);
}
